settings.logAddedRecipes = true
settings.logRemovedRecipes = true

events.listen('recipes', function (event) {

    event.remove({output: '#minecraft:beds'})
    event.remove({id: 'minecraft:chest'})
    event.remove({id: 'minecraft:furnace'})
    event.remove({id: 'minecraft:wooden_pickaxe'})
    event.remove({id: 'minecraft:bread'})
    event.remove({id: 'pamhc2crops:bread_grain'})
    event.remove({id: 'appliedenergistics2:grinder/flour'})
    event.remove({mod: 'alltheores'})
    event.remove({id: 'minecraft:iron_ingot'})
    event.remove({id: 'minecraft:iron_ingot_from_blasting'})
    event.remove({id: 'appliedenergistics2:smelting/iron_ingot'})
    event.remove({id: 'minecraft:gold_ingot'})
    event.remove({id: 'minecraft:gold_ingot_from_blasting'})
    event.remove({id: 'appliedenergistics2:smelting/gold_ingot'})
    event.remove({id: 'minecraft:coal_from_smelting'})
    event.remove({id: 'minecraft:coal_from_blasting'})
    event.remove({id: 'minecraft:lapis_from_smelting'})
    event.remove({id: 'minecraft:lapis_from_blasting'})
    event.remove({id: 'minecraft:redstone_from_smelting'})
    event.remove({id: 'minecraft:redstone_from_blasting'})
    event.remove({id: 'minecraft:diamond_from_smelting'})
    event.remove({id: 'minecraft:diamond_from_blasting'})
    event.remove({id: 'minecraft:quartz_from_blasting'})
    event.remove({id: 'minecraft:quartz_from_blasting'})
    event.remove({id: 'minecraft:emerald_from_smelting'})
    event.remove({id: 'minecraft:emerald_from_blasting'})
    event.remove({id: 'minecraft:stone_pickaxe'})
    event.remove({id: 'appliedenergistics2:tools/certus_quartz_pickaxe'})
    event.remove({id: 'appliedenergistics2:tools/certus_quartz_hoe'})
    event.remove({id: 'appliedenergistics2:tools/certus_quartz_sword'})
    event.remove({id: 'appliedenergistics2:tools/certus_quartz_axe'})
    event.remove({id: 'appliedenergistics2:tools/certus_quartz_shovel'})
    event.remove({id: 'minecraft:netherite_ingot'})   
    event.remove({id: 'minecraft:blast_furnace'})  
    event.remove({id: 'minecraft:glass'})  
    event.remove({id: 'minecraft:stonecutter'})  
    event.remove({id: 'pickletweaks:iron_paxel'})  
    event.remove({id: 'uuuminecraft:iron_pickaxe'})
    event.remove({id: 'minecraft:iron_axe'}) 
    event.remove({id: 'minecraft:iron_shovel'}) 
    event.remove({id: 'immersiveengineering:crafting/alloybrick'}) 
    event.remove({input: 'immersiveengineering:hammer'})
    event.remove({input: 'immersiveengineering:wirecutter'})
    event.remove({id: 'immersiveengineering:crafting/blastbrick'}) 
    event.remove({id: 'immersiveengineering:crafting/cokebrick'}) 
    event.remove({id: 'immersiveengineering:crafting/shovel_steel'}) 
    event.remove({id: 'immersiveengineering:crafting/hoe_steel'}) 
    event.remove({id: 'immersiveengineering:crafting/axe_steel'}) 
    event.remove({id: 'immersiveengineering:crafting/pickaxe_steel'}) 
    event.remove({id: 'industrialforegoing:machine_frame_pity'})
    event.remove({id: 'industrialforegoing:pitiful_generator'})
    event.remove({id: 'minecraft:diamond_shovel'}) 
    event.remove({id: 'minecraft:diamond_pickaxe'}) 
    event.remove({id: 'minecraft:diamond_axe'}) 
    event.remove({id: 'minecraft:diamond_hoe'}) 
    event.remove({id: 'minecraft:diamond_sword'}) 
    event.remove({id: 'minecraft:flint_and_steel'})
    event.remove({id: 'pickletweaks:diamond_paxel'})

    event.shapeless(item.of('minecraft:wheat_seeds', 1), ['minecraft:grass'])
    event.shapeless(item.of('pamhc2foodcore:freshwateritem', 8), item.of('ceramicbucket:filled_ceramic_bucket', {Fluid:{FluidName:"minecraft:water",Amount:1000}}))
    event.shapeless(item.of('solcarrot:food_book', 1), ['minecraft:book','minecraft:bread'])
    event.shapeless(item.of('minecraft:flint_and_steel', 1), ['#forge:ingots/steel','minecraft:flint'])

    event.recipes.minecraft.blasting(item.of('minecraft:gold_ingot', 1), '#forge:dusts/gold').xp(1.0),
    event.recipes.minecraft.blasting(item.of('minecraft:iron_ingot', 1), '#forge:dusts/iron').xp(1.0),
    event.recipes.minecraft.blasting(item.of('alltheores:zinc_ingot', 1), '#forge:dusts/zinc').xp(1.0),
    event.recipes.minecraft.blasting(item.of('alltheores:copper_ingot', 1), '#forge:dusts/copper').xp(1.0),
    event.recipes.minecraft.blasting(item.of('alltheores:lead_ingot', 1), '#forge:dusts/lead').xp(1.0),
    event.recipes.minecraft.blasting(item.of('alltheores:nickel_ingot', 1), '#forge:dusts/nickel').xp(1.0),
    event.recipes.minecraft.blasting(item.of('alltheores:osmium_ingot', 1), '#forge:dusts/osmium').xp(1.0),
    event.recipes.minecraft.blasting(item.of('alltheores:platinum_ingot', 1), '#forge:dusts/platinum').xp(1.0),
    event.recipes.minecraft.blasting(item.of('alltheores:silver_ingot', 1), '#forge:dusts/silver').xp(1.0),
    event.recipes.minecraft.blasting(item.of('alltheores:tin_ingot', 1), '#forge:dusts/tin').xp(1.0),
    event.recipes.minecraft.blasting(item.of('alltheores:uranium_ingot', 1), '#forge:dusts/uranium').xp(1.0)
    event.recipes.minecraft.blasting(item.of('alltheores:aluminum_ingot', 1), '#forge:dusts/aluminum').xp(1.0)
    event.recipes.minecraft.blasting(item.of('minecraft:glass', 1), '#forge:sand').xp(0.3)

    event.recipes.minecraft.stonecutting(item.of('pickletweaks:light_gray_cobblestone', 1), 'minecraft:cobblestone')
    event.recipes.minecraft.stonecutting(item.of('pickletweaks:green_cobblestone', 1), 'minecraft:cobblestone')
    event.recipes.minecraft.stonecutting(item.of('pickletweaks:light_blue_cobblestone', 1), 'minecraft:cobblestone')
    event.recipes.minecraft.stonecutting(item.of('pickletweaks:orange_cobblestone', 1), 'minecraft:cobblestone')
    event.recipes.minecraft.stonecutting(item.of('pickletweaks:white_cobblestone', 1), 'minecraft:cobblestone')
    event.recipes.minecraft.stonecutting(item.of('pickletweaks:yellow_cobblestone', 1), 'minecraft:cobblestone')
    event.recipes.minecraft.stonecutting(item.of('pickletweaks:cyan_cobblestone', 1), 'minecraft:cobblestone')
    event.recipes.minecraft.stonecutting(item.of('pickletweaks:lime_cobblestone', 1), 'minecraft:cobblestone')
    event.recipes.minecraft.stonecutting(item.of('pickletweaks:brown_cobblestone', 1), 'minecraft:cobblestone')
    event.recipes.minecraft.stonecutting(item.of('pickletweaks:black_cobblestone', 1), 'minecraft:cobblestone')
    event.recipes.minecraft.stonecutting(item.of('pickletweaks:magenta_cobblestone', 1), 'minecraft:cobblestone')
    event.recipes.minecraft.stonecutting(item.of('pickletweaks:red_cobblestone', 1), 'minecraft:cobblestone')
    event.recipes.minecraft.stonecutting(item.of('pickletweaks:gray_cobblestone', 1), 'minecraft:cobblestone')
    event.recipes.minecraft.stonecutting(item.of('pickletweaks:purple_cobblestone', 1), 'minecraft:cobblestone')
    event.recipes.minecraft.stonecutting(item.of('pickletweaks:blue_cobblestone', 1), 'minecraft:cobblestone')
    event.recipes.minecraft.stonecutting(item.of('pickletweaks:pink_cobblestone', 1), 'minecraft:cobblestone')

//Furnace Recipes

    event.smelting(item.of('minecraft:bread', 1), 'pamhc2foodcore:doughitem')

//Crafting Recipes

    event.shaped(item.of('immersiveengineering:component_steel', 1), [
    'SSS',
    'SBS',
    'SSS'
  ], {
    S: '#forge:ingots/steel',
    B: '#forge:ingots/copper'
  })

    event.shaped(item.of('immersiveengineering:heavy_engineering', 1), [
    'SRS',
    'RBR',
    'SRS'
  ], {
    S: '#forge:ingots/steel',
    B: '#forge:ingots/electrum',
    R: 'immersiveengineering:component_steel'
  })

    event.shaped(item.of('immersiveengineering:rs_engineering', 1), [
    'SRS',
    'RBR',
    'SRS'
  ], {
    S: '#forge:ingots/iron',
    B: '#forge:ingots/copper',
    R: '#forge:dusts/redstone'
  })

    event.shaped(item.of('immersiveengineering:mold_plate', 1), [
    'SSS',
    'S S',
    'SSS'
  ], {
    S: '#forge:ingots/steel'
  })

    event.shaped(item.of('industrialforegoing:pitiful_generator', 1), [
    'SRS',
    'RBR',
    'SRS'
  ], {
    S: '#forge:ingots/steel',
    B: 'minecraft:blast_furnace',
    R: 'immersiveengineering:ingot_electrum'
  })

    event.shaped(item.of('immersiveengineering:blastbrick', 3), [
    'SRS',
    'RBR',
    'SRS'
  ], {
    S: 'immersiveengineering:ingot_electrum',
    B: 'minecraft:blast_furnace',
    R: 'minecraft:brick'
  })

   event.shaped(item.of('immersiveengineering:cokebrick', 3), [
    'SRS',
    'RBR',
    'SRS'
  ], {
    S: 'immersiveengineering:ingot_constantan',
    B: 'minecraft:coal_block',
    R: 'minecraft:brick'
  })

    event.shaped(item.of('minecraft:chest', 1), [
    'SSS',
    'S S',
    'SSS'
  ], {
    S: 'woodenutilities:wooden_plate'
  })

    event.shaped(item.of('minecraft:furnace', 1), [
    'CCC',
    'CFC',
    'CSC'
  ], {
    S: 'compressium:cobblestone_1',
    C: '#forge:cobblestone',
    F: 'minecraft:campfire'
  })

    event.shaped(item.of('minecraft:blast_furnace', 1), [
    'CCC',
    'CFC',
    'SSS'
  ], {
    S: 'compressium:stone_1',
    C: 'minecraft:smooth_stone',
    F: 'minecraft:furnace'
  })

    event.shaped(item.of('minecraft:stonecutter', 1), [
    ' C ',
    'CFC',
    'SSS'
  ], {
    S: '#forge:stone',
    C: '#forge:ingots/iron',
    F: 'appliedenergistics2:wooden_gear'
  })

})